Bug 569475 - preupgrade does not mount loopback device after reboot
preupgrade does not mount loopback device after reboot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-01 10:10 EST by Domingo Becker
Modified: 2010-12-03 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 17:12:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Domingo Becker 2010-03-01 10:10:06 EST
Description of problem:
After the preupgrade process, it shows a screen with a button to reboot the
computer. 
When I press that 'reboot' button, it says it can't mount /dev/sda1 (/
partition in my case) and can't locate /boot/preupgrade/install.img (it's
already downloaded there).

My smolt:
http://www.smolts.org/client/show_all/pub_5ef6a37c-6005-4619-a4e5-d0197d23e617

[me@mycomputer ~]$ df -h
S.ficheros          Tamaño Usado  Disp Uso% Montado en
/dev/sda1              18G  5,4G   12G  33% /
/dev/sda3              18G  578M   16G   4% /home
tmpfs                 109M   80K  109M   1% /dev/shm

It was reported last year in Fedora 10 as bug #520609.

Now, for Fedora 12, when pressing Alt+F3 it shows some errors that says:
failed to mount loopback device /dev/loop0 on /mnt/runtime as /tmp/install.img: (null)

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. run preupgrade
2. press reboot button.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Fedora Admin XMLRPC Client 2010-04-16 10:34:40 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Bug Zapper 2010-11-03 17:04:34 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 17:12:05 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.